:root {
    --brown-soft: #D2B48C;
    --PRIMARY: #722E43;
    --secondary-color: #CC7F91;
    --light-color: #B44A60;
    --green-pastel: #EADFDB;   
    --claro: #eff2cf;
    --marron-claro: #d2b48c;    
    --creme:#f3ece1;
    --nude:#e7d7c1;   
    --bege-color: #DDBEA9;    
    --secondary-lilac: #FFF6EB;
    --background-gradient: linear-gradient(135deg, #F6F0FF, #722E43);


}

body, html {
    margin: 0;
    padding: 0;
    font-family: 'Arial', sans-serif;
    background-color: var(--green-pastel);
}

/* Modern Navbar */
.navbar-modern {
    background-color: var(--creme);
    box-shadow: 0 4px 6px rgba(0,0,0,0.1);
    padding: 15px 0;
}

.navbar-brand {
    color: var(--PRIMARY);
    font-weight: bold;
    font-size: 1.5rem;
    transition: transform 0.3s ease;
}

.navbar-brand:hover {
    transform: scale(1.05);
}

.navbar-nav .nav-link {
    color:var(--PRIMARY);
    font-weight: bold;
    margin: 0 10px;
    position: relative;
    transition: color 0.3s ease;
   
}

.navbar-nav .nav-link::after {
    content: '';
    position: absolute;
    width: 0;
    height: 2px;
    bottom: -5px;
    left: 50%;
    background-color: var(--green-muted);
   
}

.navbar-nav .nav-link:hover::after {
    width: 100%;
    left: 0;
}

.navbar-toggler:focus,  
.navbar-toggler:active {  
    border: none !important; /* Garante que a borda seja removida */  
    outline: none !important; /* Remove também a linha de contorno (outline) */  
    box-shadow: none !important; /* Opcional: remove qualquer sombra que possa aparecer */  
}  
.modal-content {
  background: rgba(255, 255, 255, 0.95);
  backdrop-filter: blur(10px);
  border: 1px solid var(--PRIMARY);
  border-radius: 20px;
  
}

.modal-title{
  color: var(--bege-color)

}
.modal-header {
  background-color: var(--PRIMARY);
  color: white;
  border-radius: 20px 20px 0 0;
  padding: 1.5rem;
  
 
}

.modal-body {
  padding: 2rem;
  background-color: #F5F5F5;
  border-radius: 0 0 20px 20px;
  
  
}
.form-label{
 color: var(--light-color);
 font-weight: bold;
 
 
}

.form-control, .form-select {
  border-radius: 10px;
  padding: 0.8rem 1rem;
  height: 45px;
  border: 1px solid var(--marron-claro);
  
}

.form-control:focus, .form-select:focus {
  border-color: var(--primary-color);
  box-shadow: 0 0 0 0.2rem rgba(203, 172, 13, 0.25);
  
}

.input-group-text {
  background-color: var(--creme);
  border: 1px solid var(--secondary-color);
  color: var(--primary-color);
  height: 45px;
  
  
 
}

.btn-schedule {
  background-color: var(--light-color);
  color: white;
  padding: 1rem 2rem;
  border-radius: 50px;
  border: none;
  font-weight: 600;
  transition: all 0.3s ease;
  animation: fadeInUp 1s ease 0.6s;
  animation-fill-mode: both;
}

/* Efeito hover para interatividade */

.btn-schedule:hover {
  background-color: var(--PRIMARY);
  transform: translateY(-3px);
  box-shadow: 0 10px 20px rgba(0, 0, 0, 0.2);
  color: white;
} 

.button {
  line-height: 1;
  background-color: transparent;
  cursor: pointer;
  display: flex;
  align-items: center;
  gap: 0.35em;
  padding: 0.75em 1em;
  padding-right: 1.25em;
  color: #fff;
  border: 1px solid transparent;
  font-weight: 700;
  border-radius: 2em;
  font-size: 1rem;
  box-shadow: 0 0.7em 1.5em -0.5em hsl(30, 46%, 36%);
  transition: transform 0.3s;

  background: linear-gradient(
    90deg,
    rgba(146, 81, 15, 0.948) 0%,
    rgb(146, 124, 88) 100%
  );
}

.button__icon {
  width: 1.5em;
  height: 1.5em;
}

.button:hover {
  border-color: #f4f5f2;
}

.button:active {
  transform: scale(0.98);
  box-shadow: 0 0.5em 1.5em -0.5em hsla(249, 62%, 51%, 0.745);
}



.btn-schedule:hover {
  background-color: var(--secondary-color);
  transform: translateY(-3px);
  box-shadow: 0 10px 20px rgba(0, 0, 0, 0.2);
  color: white;
} 
#checkbox {
  display: none;
}

.toggle {
  position: relative;
  width: 40px;
  height: 40px;
  cursor: pointer;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  gap: 10px;
  transition-duration: .5s;
  outline: none;
}

.bars {
  width: 100%;
  height: 4px;
  background-color: var(--light-color);
  border-radius: 4px;
}

#bar2 {
  transition-duration: .8s;
}

#bar1 {
  width: 50%;
}

#bar2 {
  width: 75%;
}

#checkbox:checked + .toggle .bars {
  position: absolute;
  transition-duration: .5s;
}

#checkbox:checked + .toggle #bar2 {
  transform: scaleX(0);
  transition-duration: .1s;
}

#checkbox:checked + .toggle #bar1 {
  width: 100%;
  transform: rotate(45deg);
  transition-duration: .5s;
}

#checkbox:checked + .toggle #bar3 {
  width: 100%;
  transform: rotate(-45deg);
  transition-duration: .5s;
}

#checkbox:checked + .toggle {
  transition-duration: .5s;
  transform: rotate(180deg);
}

.home-section {
    position: relative;
    width: 100%;
    height: 100vh;
    overflow: hidden;
    
}

/*autoconhecimento*/

img{
    margin-top: 70px;
    height: 200px;
    border-radius: 20px;
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.2);
    background-color: #90643e;

}

.appointment-btn {
  box-shadow: 0 0.7em 1.5em -0.5em hsl(30, 46%, 36%);
  transition: transform 0.3s;

  background: linear-gradient(
    90deg,
    rgba(146, 15, 70, 0.948) 0%,
    rgb(146, 15, 70, 0.948) 100%);
 
  color: #fff;
  border: none;
  padding: 15px 30px;
  font-size: 1.2rem;
  border-radius: 30px;
  cursor: pointer;
  transition: all 0.3s ease;
  font-weight: 600;
  box-shadow: 0 4px 15px rgba(255, 160, 122, 0.4);
}

.appointment-btn:hover {
  background-color: #ff8c5a;
  transform: translateY(-3px);
  box-shadow: 0 6px 20px rgba(255, 160, 122, 0.6);
}
/* Footer Background */
.footer-section {
   position: relative;
  
}

.bi-instagram{
  color:#722E43;
}
.footer-background {
  background-image: url('../img/sala.webp');
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
  position: relative;
}

.footer-background::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgba(255, 255, 255, 0.3);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
}

/* Glass Effect */
.glass-content {
  background: rgba(255, 255, 255, 0.7);
  backdrop-filter: blur(12px);
  -webkit-backdrop-filter: blur(12px);
  padding: 1.5rem;
  border-radius: 0.5rem;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  position: relative;
  height: 100%;
}

/* Social Icons */
.social-icon {
  color: #1c1c1d;
  font-size: 1rem;
  transition: color 0.3s ease;
  text-decoration: none;
}

.social-icon:hover {
  color: #0d6efd;
}

.social-icon:nth-child(2):hover {
  color: #e1306c;
}

/* QR Code */
.qr-code {
  width: 150px;
  height: 150px;
}

/* Map Container */
.map-container {
  height: 400px;
  border-radius: 0.5rem;
  overflow: hidden;
}

/* Floating WhatsApp Button */
.whatsapp-float {
  position: fixed;
  bottom: 1.5rem;
  right: 1.5rem;
  background-color:var(--PRIMARY);
  color: white;
  width: 3.5rem;
  height: 3.5rem;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  text-decoration: none;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  transition: background-color 0.3s ease;
  z-index: 1050;
}

.whatsapp-float:hover {
  background-color: var(--light-color);
  color: white;
}

.whatsapp-float i {
  font-size: 1.5rem;
}

.text-purple {
  color:var(--PRIMARY);
}


/* Remove o sublinhado do link */
.no-underline {
  text-decoration: none;
  color: #faa80e;
}

/* Contact Info */
.contact-info {
  margin-bottom: 1.5rem;
}

.contact-info p {
  margin-bottom: 0.75rem;
}

.contact-info i {
  font-size: 1.25rem;
}

/* Copyright Section */
.footer {
  margin-top: -10px;
  height: 70px;
  background-color:var(--light-color);
 
}

.text-muted {
  color: #617e7c !important;
}

.text-mutedp {
  color: #f0fffe !important;
}

.mb-4 p{
  text-align: justify;
}

.autoconhecimento{
    background-color: #ffffff;
}